package cn.com.qmth.examcloud.core.basic.api.bean;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UserBean implements JsonSerializable {

	private static final long serialVersionUID = -4157068941699776174L;

	/**
	 * 用户ID
	 */
	private Long id;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 角色集合
	 */
	private List<RoleBean> roleList;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public List<RoleBean> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<RoleBean> roleList) {
		this.roleList = roleList;
	}

}
